net.minecraftforge.client.gui

## Class ForgeGuiFactory.ForgeConfigGui.ModOverridesEntry

- java.lang.Object
- - cpw.mods.fml.client.config.GuiConfigEntries.ListEntryBase
  - - cpw.mods.fml.client.config.GuiConfigEntries.CategoryEntry
    - - net.minecraftforge.client.gui.ForgeGuiFactory.ForgeConfigGui.ModOverridesEntry

- All Implemented Interfaces:
    GuiConfigEntries.IConfigEntry, GuiListExtended.IGuiListEntry
  Enclosing class:
    ForgeGuiFactory.ForgeConfigGui

      public static class ForgeGuiFactory.ForgeConfigGui.ModOverridesEntry
      extends GuiConfigEntries.CategoryEntry

  This custom list entry provides the Mod Overrides entry on the Forge Chunk Loading config screen. It extends the base Category entry class and defines the IConfigElement objects that will be used to build the child screen. In this case it adds the custom entry for adding a new mod override and lists the existing mod overrides.

- - ### Field Summary

    - ### Fields inherited from class cpw.mods.fml.client.config.GuiConfigEntries.CategoryEntry

      `btnSelectCategory, childScreen`

    - ### Fields inherited from class cpw.mods.fml.client.config.GuiConfigEntries.ListEntryBase

      `btnDefault, btnUndoChanges, configElement, defaultHoverChecker, defaultToolTip, drawLabel, isValidValue, mc, name, owningEntryList, owningScreen, toolTip, tooltipHoverChecker, undoHoverChecker, undoToolTip`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ForgeGuiFactory.ForgeConfigGui.ModOverridesEntry(GuiConfig owningScreen, GuiConfigEntries owningEntryList, IConfigElement prop)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected GuiScreen` | `buildChildScreen()` This method is called in the constructor and is used to set the childScreen field.
    `boolean` | `enabled()` By overriding the enabled() method and checking the value of the "enabled" entry this entry is enabled/disabled based on the value of the other entry.
    `boolean` | `isChanged()` Check to see if the child screen's entry list has changed.
    `void` | `undoChanges()` Since adding a new entry to the child screen is what constitutes a change here, reset the child screen listEntries to the saved list.

    - ### Methods inherited from class cpw.mods.fml.client.config.GuiConfigEntries.CategoryEntry

      `drawEntry, drawToolTip, getCurrentValue, getCurrentValues, getEntryRightBound, getLabelWidth, isDefault, keyTyped, mouseClicked, mousePressed, mouseReleased, saveConfigElement, setToDefault, updateCursorCounter`

    - ### Methods inherited from class cpw.mods.fml.client.config.GuiConfigEntries.ListEntryBase

      `getConfigElement, getName, onGuiClosed`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ForgeGuiFactory.ForgeConfigGui.ModOverridesEntry

          public ForgeGuiFactory.ForgeConfigGui.ModOverridesEntry(GuiConfig owningScreen,
                                                          GuiConfigEntries owningEntryList,
                                                          IConfigElement prop)

  - ### Method Detail

    - #### buildChildScreen

          protected GuiScreen buildChildScreen()

      This method is called in the constructor and is used to set the childScreen field.
      Overrides:
        `buildChildScreen` in class `GuiConfigEntries.CategoryEntry`

    - #### enabled

          public boolean enabled()

      By overriding the enabled() method and checking the value of the "enabled" entry this entry is enabled/disabled based on the value of the other entry.
      Specified by:
        `enabled` in interface `GuiConfigEntries.IConfigEntry`
      Overrides:
        `enabled` in class `GuiConfigEntries.CategoryEntry`
      Returns:
        true if this entry's controls should be enabled, false otherwise.

    - #### isChanged

          public boolean isChanged()

      Check to see if the child screen's entry list has changed.
      Specified by:
        `isChanged` in interface `GuiConfigEntries.IConfigEntry`
      Overrides:
        `isChanged` in class `GuiConfigEntries.CategoryEntry`
      Returns:
        true if changes have been made to this entry's value, false otherwise.

    - #### undoChanges

          public void undoChanges()

      Since adding a new entry to the child screen is what constitutes a change here, reset the child screen listEntries to the saved list.
      Specified by:
        `undoChanges` in interface `GuiConfigEntries.IConfigEntry`
      Overrides:
        `undoChanges` in class `GuiConfigEntries.CategoryEntry`